﻿using System;
using System.Threading.Tasks;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 값 구하기 (비동기) - GetValueAsync(source)

        /// <summary>
        /// 값 구하기 (비동기)
        /// </summary>
        /// <param name="source">소스값</param>
        /// <returns>값</returns>
        private async static ValueTask<int> GetValueAsync(int source)
        {
            await Task.Delay(source);

            return source;
        }

        #endregion
        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        /// <returns>태스크</returns>
        private async static Task Main()
        {
            int result = await GetValueAsync(3000);

            Console.WriteLine(result);
        }

        #endregion
    }
}